#!/bin/bash
fmt="+%Y%m%d"
if [ $# -lt 1 ]; then
  echo "Usage: $0 ndates date  [ADD/SUB]"
  echo "default format is $fmt" 
  echo "format should be YYYYMMDD or any other acceptable format for date command"
  echo "full precision down to seconds (if specified will be computed) but only up to date will be printed by default"
  echo "default is to add"
  echo "if third argument is SUB, then substracted"
  echo "if a forth argument is present, it is treated as the format specifier for output. e.g.  '+%Y%m%d%H%M%S' to get full precision"
  
  exit 1
fi
dates=$1
if [ $# -ge 2 ]; then
  thisdate=`date --date "$2" +'%s'`
else
  date=''
  thisdate=`date +'%s'`
fi
if [ !  "$3" == 'SUB' ];then 
  newdate=`echo $thisdate $dates|awk '{printf "%20i", $1+$2*24*3600}'`
else
  newdate=`echo $thisdate $dates|awk '{print "%20i", $01-$2*24*3600}'`
fi
if [ $# -ge 4 ]; then
  fmt=$4
fi

date  --date=" 1970-01-01 00:00:00 UTC $newdate  seconds"  "$fmt"

